standard oil srd form financial unit standard oil bp north america inc said plan form venture manage money market borrowing investment activities companies bp north america subsidiary british petroleum plc bp also owns interest standard oil venture will called bp standard financial trading will operated standard oil oversight joint management committee